import { FASTElement } from "@microsoft/fast-element";
import { IPay2MyAppLogin, IPay2MyAppHub, PaymentsInfo } from '../hub/definitions';
export declare class Pay2MyAppLogin extends FASTElement implements IPay2MyAppLogin {
    hubId?: string;
    overhideSecretTokenEnabled?: boolean;
    bitcoinEnabled?: boolean;
    overhideSocialMicrosoftEnabled?: boolean;
    overhideSocialGoogleEnabled?: boolean;
    overhideWeb3Enabled?: boolean;
    ethereumWeb3Enabled?: boolean;
    rootElement?: HTMLElement;
    envelopeElement?: HTMLElement;
    overhideSocialMicrosoftElement?: HTMLElement;
    overhideSocialGoogleElement?: HTMLElement;
    overhideOhledgerWeb3Element?: HTMLElement;
    overhideEthereumWeb3Element?: HTMLElement;
    overhideBitcoinElement?: HTMLElement;
    overhideLedgerElement?: HTMLElement;
    hub?: IPay2MyAppHub;
    opens: any[];
    constructor();
    open(): Promise<void>;
    close(): void;
    setHub(hub: IPay2MyAppHub): void;
    hubIdChanged(oldValue: string, newValue: string): void;
    connectedCallback(): void;
    paymentInfoChanged(info: PaymentsInfo): void;
    outsideClick(event: any): void;
}
//# sourceMappingURL=component.d.ts.map