import { FASTElement } from "@microsoft/fast-element";
import { IPay2MyAppHub, PaymentsInfo } from '../hub/definitions';
export declare class OverhideEthWeb3 extends FASTElement {
    hubId?: string;
    address?: string | null;
    isActive: boolean;
    messageClass: string;
    message?: any;
    hasWallet?: boolean;
    hub?: IPay2MyAppHub;
    constructor();
    setHub(hub: IPay2MyAppHub): void;
    hubIdChanged(oldValue: string, newValue: string): void;
    connectedCallback(): void;
    paymentInfoChanged(info: PaymentsInfo): void;
    setNormalMessage(): void;
    setInvalidMessage(): void;
    showTransactions(): void;
    continue(): Promise<void>;
}
//# sourceMappingURL=eth-web3.d.ts.map