import { FASTElement } from "@microsoft/fast-element";
import { IPay2MyAppHub, PaymentsInfo } from '../hub/definitions';
export declare class OverhideOhledger extends FASTElement {
    hubId?: string;
    key?: string | null;
    address?: string | null;
    isKeyValid: boolean;
    isActive: boolean;
    messageClass: string;
    message?: any;
    hub?: IPay2MyAppHub;
    constructor();
    setHub(hub: IPay2MyAppHub): void;
    hubIdChanged(oldValue: string, newValue: string): void;
    connectedCallback(): void;
    paymentInfoChanged(info: PaymentsInfo): void;
    changeKey(event: any): Promise<void>;
    generate(): Promise<void>;
    setNormalMessage(): void;
    setInvalidMessage(): void;
    copyToClipboard(): void;
    showTransactions(): void;
    continue(): Promise<void>;
}
//# sourceMappingURL=ohledger.d.ts.map