import { FASTElement } from "@microsoft/fast-element";
import { Imparter, IPay2MyAppHub, IPay2MyAppLogin, IPay2MyAppStatus, PaymentsInfo } from '../hub/definitions';
export declare class Pay2MyAppStatus extends FASTElement implements IPay2MyAppStatus {
    hubId?: string;
    error?: string | null;
    logo?: string | null;
    address?: string | null;
    canLogout?: boolean | null;
    canGetTransactions?: boolean | null;
    hub?: IPay2MyAppHub | null;
    currentImparter?: Imparter | null;
    isSignedIn: boolean;
    loginElement?: IPay2MyAppLogin | null;
    constructor();
    setHub(hub: any): void;
    hubIdChanged(oldValue: string, newValue: string): void;
    connectedCallback(): void;
    paymentInfoChanged(info: PaymentsInfo): void;
    logout(): void;
    refresh(): void;
    errorSet(error: string): void;
    addressClicked(): void;
}
//# sourceMappingURL=component.d.ts.map